summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: b8aeac5)
raw | patch | inline | side by side (parent: b8aeac5)
author | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Wed, 12 Dec 2007 09:30:35 +0000 (09:30 +0000) | ||
committer | cajus <cajus@594d385d-05f5-0310-b6e9-bd551577e9d8> | |
Wed, 12 Dec 2007 09:30:35 +0000 (09:30 +0000) |
git-svn-id: https://oss.gonicus.de/repositories/gosa/trunk@8092 594d385d-05f5-0310-b6e9-bd551577e9d8
contrib/fix_config.sh | [deleted file] | patch | blob | history |
contrib/scripts/gosa | [new file with mode: 0755] | patch | blob |
contrib/scripts/start-gosa.sh | [deleted file] | patch | blob | history |
debian/gosa.postinst | patch | blob | history | |
debian/rules | patch | blob | history |
diff --git a/contrib/fix_config.sh b/contrib/fix_config.sh
--- a/contrib/fix_config.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-
-CONF=/etc/gosa/gosa.conf
-cat << EOF
-
-This script will take your current $CONF and will update the menu and tab tags. It
-will not touch the parts you have touched between the main tabs. A backup copy is
-created.
-
-EOF
-read -n1 -sp "Do you want to continue? (y/n)" answer
-echo
-
-if [ "$answer" != "y" -a "$answer" != "Y" ]; then
- echo "Aborted."
- echo
- exit 1
-fi
-
-if [ ! -f $CONF ]; then
- echo "Can't find $CONF Aborted."
- echo
- exit 1
-fi
-
-cp $CONF $CONF.orig
-
-sed '/<main/,/\/main>/d;/<\/conf>/d' gosa.conf > $CONF
-sed -n '/<main/,/\/main>/p' $CONF.orig >> $CONF
-echo '</conf>' >> $CONF
diff --git a/contrib/scripts/gosa b/contrib/scripts/gosa
--- /dev/null
+++ b/contrib/scripts/gosa
@@ -0,0 +1,128 @@
+#!/bin/sh
+# Start script for GOsa to be started via mozilla
+
+url=""
+if [ $# -ne 1 ]; then
+ echo "Usage: $(basename $0) <URL>"
+ exit 1
+fi
+
+# Check for presence of gosa profile
+if [ ! -d $HOME/.mozilla/firefox/*.gosa ]; then
+ firefox -CreateProfile gosa
+ config=`echo $HOME/.mozilla/firefox/*.gosa/`
+
+ cat << EOF > $config/prefs.js
+# Mozilla User Preferences
+
+/* Do not edit this file.
+ *
+ * If you make changes to this file while the browser is running,
+ * the changes will be overwritten when the browser exits.
+ *
+ * To make a manual change to preferences, you can visit the URL about:config
+ * For more information, see http://www.mozilla.org/unix/customizing.html#prefs
+ */
+
+user_pref("app.update.autoUpdateEnabled", false);
+user_pref("app.update.enabled", false);
+user_pref("browser.download.folderList", 2);
+user_pref("browser.download.manager.showWhenStarting", false);
+user_pref("browser.formfill.enable", false);
+user_pref("browser.preferences.lastpanel", 1);
+user_pref("browser.search.selectedEngine", "Damnfresh");
+user_pref("browser.startup.homepage", "$url");
+user_pref("browser.startup.homepage_override.mstone", "rv:1.8.1.1");
+user_pref("extensions.disabledObsolete", true);
+user_pref("extensions.lastAppVersion", "2.0.0.1");
+user_pref("extensions.update.autoUpdateEnabled", false);
+user_pref("intl.charsetmenu.browser.cache", "ISO-8859-1");
+user_pref("network.cookie.prefsMigrated", true);
+user_pref("security.OCSP.URL", "");
+user_pref("security.OCSP.signingCA", "Builtin Object Token:IPS CLASE1 root");
+user_pref("security.warn_entering_secure", false);
+user_pref("security.warn_leaving_secure", false);
+user_pref("security.warn_submit_insecure", false);
+user_pref("security.warn_viewing_mixed", false);
+user_pref("signon.rememberSignons", false);
+user_pref("security.warn_submit_insecure", false);
+EOF
+
+ cat << EOF > $config/84795799.s
+#2c
+http://vserver-02
+.
+EOF
+
+ [ ! -d $config/chrome ] && mkdir -p $config/chrome
+ cat << EOF > $config/chrome/userChrome.css
+#main-menubar {
+ display: none;
+}
+#navigator-throbber {
+ display: none;
+}
+EOF
+
+cat << EOF > $config/localstore.rdf
+<?xml version="1.0"?>
+<RDF:RDF xmlns:NC="http://home.netscape.com/NC-rdf#"
+ xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
+ <RDF:Description RDF:about="chrome://mozapps/content/downloads/unknownContentType.xul#unknownContentType"
+ screenX="267"
+ screenY="304" />
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul#PersonalToolbar"
+ currentset="__empty"
+ collapsed="true" />
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul#toolbar-menubar"
+ currentset="__empty"
+ collapsed="true" />
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul#sidebar-box"
+ collapsed="true"
+ sidebarcommand=""
+ width=""
+ src="" />
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul#status-bar"
+ hidden="true" />
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul">
+ <NC:persist RDF:resource="chrome://browser/content/browser.xul#main-window"/>
+ <NC:persist RDF:resource="chrome://browser/content/browser.xul#sidebar-box"/>
+ <NC:persist RDF:resource="chrome://browser/content/browser.xul#sidebar-title"/>
+ <NC:persist RDF:resource="chrome://browser/content/browser.xul#nav-bar"/>
+ <NC:persist RDF:resource="chrome://browser/content/browser.xul#PersonalToolbar"/>
+ <NC:persist RDF:resource="chrome://browser/content/browser.xul#toolbar-menubar"/>
+ </RDF:Description>
+ <RDF:Description RDF:about="chrome://mozapps/content/downloads/unknownContentType.xul">
+ <NC:persist RDF:resource="chrome://mozapps/content/downloads/unknownContentType.xul#unknownContentType"/>
+ </RDF:Description>
+ <RDF:Description RDF:about="chrome://global/content/customizeToolbar.xul">
+ <NC:persist RDF:resource="chrome://global/content/customizeToolbar.xul#CustomizeToolbarWindow"/>
+ </RDF:Description>
+ <RDF:Description RDF:about="chrome://help/content/help.xul#help"
+ screenX="350"
+ screenY="225"
+ width="700"
+ height="550" />
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul#main-window"
+ screenX="50"
+ screenY="25"
+ sizemode="normal"
+ width="994"
+ height="962" />
+ <RDF:Description RDF:about="chrome://help/content/help.xul">
+ <NC:persist RDF:resource="chrome://help/content/help.xul#help"/>
+ </RDF:Description>
+ <RDF:Description RDF:about="chrome://browser/content/browser.xul#nav-bar"
+ currentset="__empty"
+ collapsed="true" />
+</RDF:RDF>
+
+
+
+EOF
+fi
+
+
+# Start mozilla with GOsa profile
+firefox -P gosa
+
diff --git a/contrib/scripts/start-gosa.sh b/contrib/scripts/start-gosa.sh
+++ /dev/null
@@ -1,128 +0,0 @@
-#!/bin/sh
-# Start script for GOsa to be started via mozilla
-
-url=""
-if [ $# -ne 1 ]; then
- echo "Usage: $(basename $0) <URL>"
- exit 1
-fi
-
-# Check for presence of gosa profile
-if [ ! -d $HOME/.mozilla/firefox/*.gosa ]; then
- firefox -CreateProfile gosa
- config=`echo $HOME/.mozilla/firefox/*.gosa/`
-
- cat << EOF > $config/prefs.js
-# Mozilla User Preferences
-
-/* Do not edit this file.
- *
- * If you make changes to this file while the browser is running,
- * the changes will be overwritten when the browser exits.
- *
- * To make a manual change to preferences, you can visit the URL about:config
- * For more information, see http://www.mozilla.org/unix/customizing.html#prefs
- */
-
-user_pref("app.update.autoUpdateEnabled", false);
-user_pref("app.update.enabled", false);
-user_pref("browser.download.folderList", 2);
-user_pref("browser.download.manager.showWhenStarting", false);
-user_pref("browser.formfill.enable", false);
-user_pref("browser.preferences.lastpanel", 1);
-user_pref("browser.search.selectedEngine", "Damnfresh");
-user_pref("browser.startup.homepage", "$url");
-user_pref("browser.startup.homepage_override.mstone", "rv:1.8.1.1");
-user_pref("extensions.disabledObsolete", true);
-user_pref("extensions.lastAppVersion", "2.0.0.1");
-user_pref("extensions.update.autoUpdateEnabled", false);
-user_pref("intl.charsetmenu.browser.cache", "ISO-8859-1");
-user_pref("network.cookie.prefsMigrated", true);
-user_pref("security.OCSP.URL", "");
-user_pref("security.OCSP.signingCA", "Builtin Object Token:IPS CLASE1 root");
-user_pref("security.warn_entering_secure", false);
-user_pref("security.warn_leaving_secure", false);
-user_pref("security.warn_submit_insecure", false);
-user_pref("security.warn_viewing_mixed", false);
-user_pref("signon.rememberSignons", false);
-user_pref("security.warn_submit_insecure", false);
-EOF
-
- cat << EOF > $config/84795799.s
-#2c
-http://vserver-02
-.
-EOF
-
- [ ! -d $config/chrome ] && mkdir -p $config/chrome
- cat << EOF > $config/chrome/userChrome.css
-#main-menubar {
- display: none;
-}
-#navigator-throbber {
- display: none;
-}
-EOF
-
-cat << EOF > $config/localstore.rdf
-<?xml version="1.0"?>
-<RDF:RDF xmlns:NC="http://home.netscape.com/NC-rdf#"
- xmlns:RDF="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
- <RDF:Description RDF:about="chrome://mozapps/content/downloads/unknownContentType.xul#unknownContentType"
- screenX="267"
- screenY="304" />
- <RDF:Description RDF:about="chrome://browser/content/browser.xul#PersonalToolbar"
- currentset="__empty"
- collapsed="true" />
- <RDF:Description RDF:about="chrome://browser/content/browser.xul#toolbar-menubar"
- currentset="__empty"
- collapsed="true" />
- <RDF:Description RDF:about="chrome://browser/content/browser.xul#sidebar-box"
- collapsed="true"
- sidebarcommand=""
- width=""
- src="" />
- <RDF:Description RDF:about="chrome://browser/content/browser.xul#status-bar"
- hidden="true" />
- <RDF:Description RDF:about="chrome://browser/content/browser.xul">
- <NC:persist RDF:resource="chrome://browser/content/browser.xul#main-window"/>
- <NC:persist RDF:resource="chrome://browser/content/browser.xul#sidebar-box"/>
- <NC:persist RDF:resource="chrome://browser/content/browser.xul#sidebar-title"/>
- <NC:persist RDF:resource="chrome://browser/content/browser.xul#nav-bar"/>
- <NC:persist RDF:resource="chrome://browser/content/browser.xul#PersonalToolbar"/>
- <NC:persist RDF:resource="chrome://browser/content/browser.xul#toolbar-menubar"/>
- </RDF:Description>
- <RDF:Description RDF:about="chrome://mozapps/content/downloads/unknownContentType.xul">
- <NC:persist RDF:resource="chrome://mozapps/content/downloads/unknownContentType.xul#unknownContentType"/>
- </RDF:Description>
- <RDF:Description RDF:about="chrome://global/content/customizeToolbar.xul">
- <NC:persist RDF:resource="chrome://global/content/customizeToolbar.xul#CustomizeToolbarWindow"/>
- </RDF:Description>
- <RDF:Description RDF:about="chrome://help/content/help.xul#help"
- screenX="350"
- screenY="225"
- width="700"
- height="550" />
- <RDF:Description RDF:about="chrome://browser/content/browser.xul#main-window"
- screenX="50"
- screenY="25"
- sizemode="normal"
- width="994"
- height="962" />
- <RDF:Description RDF:about="chrome://help/content/help.xul">
- <NC:persist RDF:resource="chrome://help/content/help.xul#help"/>
- </RDF:Description>
- <RDF:Description RDF:about="chrome://browser/content/browser.xul#nav-bar"
- currentset="__empty"
- collapsed="true" />
-</RDF:RDF>
-
-
-
-EOF
-fi
-
-
-# Start mozilla with GOsa profile
-firefox -P gosa
-
diff --git a/debian/gosa.postinst b/debian/gosa.postinst
index 0c45ec06ae20b05e5ec123ad078ad49ab6c6b92c..bcf54d1e7eceff98703cabc71f09a782d5238704 100755 (executable)
--- a/debian/gosa.postinst
+++ b/debian/gosa.postinst
fi
done
+# Update gosa
+/usr/sbin/update-gosa
+
# Finally restart servers
for server in $servers; do
if [ -x /usr/sbin/invoke-rc.d ]; then
diff --git a/debian/rules b/debian/rules
index b095ca434a19be3c39e271ea7db01bfc2dd58ee3..e1699bea6d516272ad36d1d060ee1a12d3eb4d94 100755 (executable)
--- a/debian/rules
+++ b/debian/rules
# Install binaries
-mv debian/gosa/usr/share/gosa/bin/* debian/gosa/usr/bin
+ -mkdir debian/gosa/usr/sbin
+ -mv debian/gosa/usr/share/gosa/update-gosa debian/gosa/usr/sbin
# Install documentation
-for lang in en de fr nl; do mkdir -p debian/gosa-help-$$lang/usr/share/gosa/doc/guide/user/$$lang; done
rm -rf debian/gosa/usr/share/gosa/include/smarty; \
sed -i "s%require(\"smarty/Smarty.class.php\");%require(\"$SMARTY_LOCATION/Smarty.class.php\");%g" debian/gosa/usr/share/gosa/include/php_setup.inc
+ # Configure update location
+ sed -i 's%include/class_location.inc%/etc/gosa/classes%g' debian/gosa/usr/sbin/update-gosa
+ sed -i 's%$class_mapping= get_classes();%$class_mapping= get_classes("/usr/share/gosa");%g' debian/gosa/usr/sbin/update-gosa
+ sed -i 's%class_location.inc%/etc/gosa/classes%g' debian/gosa/usr/share/gosa/include/functions.inc
+
# Fix permissions
-find debian/gosa -type f -exec chmod -x {} \; &> /dev/null
-find debian/smarty-render -type f -exec chmod -x {} \; &> /dev/null